elaborate cpu_X5
link
getproc

group -design random_X5 -cell random -except [get_cells cpu*] [get_cells]
getproc

source remove_lib_designs.tcl
getproc

# this is needed for default strategy
# N0-N1 gdb written out by X2 script
foreach_in_collection the_design [get_designs {*_N2 *_N3 *_N4 random_X5}] {
  set design_name [get_object_name $the_design]
  write -out gdb/${design_name}.gdb ${design_name}
  getproc
}

current_design cpu_X5
getproc

source -echo -verbose cpu.const
getproc

# this is needed for default strategy
redirect reports/cpu_X5.gdb.report_hierarchy report_hierarchy
getproc

write -hier -out cpu_X5.gdb
getproc

exit
